import QuickLinkItem from './quick-item';
import QuickLink from './quick-link';
import BackTop from './back-top';
import Mobile from './mobile';
import Chat from './chat';
import QrCode from './qr-code';
QuickLink.BackTop = BackTop;
QuickLink.Chat = Chat;
QuickLink.Mobile = Mobile;
QuickLink.QrCode = QrCode;
QuickLink.QuickLinkItem = QuickLinkItem;

QuickLink.install = function install(Vue) {
  Vue.component(QuickLink.name, QuickLink);
  Vue.component(BackTop.name, BackTop);
  Vue.component(Chat.name, Chat);
  Vue.component(Mobile.name, Mobile);
  Vue.component(QrCode.name, QrCode);
  Vue.component(QuickLinkItem.name, QuickLinkItem);
};

export default QuickLink;